path: /build/build/gst-plugins-opus-media-plugins-1.0-1.18.4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test prefix" emerge media-plugins/gst-plugins-opus:1.0 -pv -t && \
    USE="-test prefix" emerge -j ${JOBS} --nodeps media-plugins/gst-plugins-opus:1.0
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gst-plugins-opus && luet-portage --dir
    /pkgdir/gst-plugins-opus media-plugins/gst-plugins-opus:1.0 && eval 'rm -v /var/cache/distfiles/*
    ${LUET_PORTAGE_CACHE_PACKAGES}/* || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ab8bc03444491fb00b788ca52a0df48c988a349103650feed0e1576f1557aa1e
  package:
    name: gst-plugins-opus
    version: 1.18.4
    category: media-plugins-1.0
    use_flags:
    - -test
    - prefix
    requires:
    - name: gi-docgen
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Opus audio parser plugin for GStreamer
    uri:
    - https://gstreamer.freedesktop.org/
    license: GPL-2
    buildtimestamp: 2023-09-04 21:56:48.320453535 +0000 UTC m=+154.043338378
    labels:
      BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 test? ( !prefix? (
        x11-base/xorg-server[xvfb] ) x11-apps/xhost ) >=sys-apps/sed-4 virtual/pkgconfig
        virtual/perl-JSON-PP'
      DEPEND: '>=media-libs/opus-1.1:=[-mgorny(-)] >=dev-libs/glib-2.40.0:2[-mgorny(-)]
        >=media-libs/gstreamer-1.18:1.0[-mgorny(-)] >=media-libs/gst-plugins-base-1.18.4:1.0[-mgorny(-)]'
      IUSE: test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: '>=media-libs/opus-1.1:=[-mgorny(-)] !media-plugins/gst-plugins-opusparse
        >=media-libs/gst-plugins-base-1.18.4:1.0[-mgorny(-),ogg] >=dev-libs/glib-2.40.0:2[-mgorny(-)]
        >=media-libs/gstreamer-1.18:1.0[-mgorny(-)] >=media-libs/gst-plugins-base-1.18.4:1.0[-mgorny(-)]'
      emerge.packages: media-plugins/gst-plugins-opus:1.0
      kit: media-kit
      original.package.name: media-plugins/gst-plugins-opus
      original.package.slot: "1.0"
      original.package.version: 1.18.4-r2
    treedir: /build/packages
  package_dir: /pkgdir/gst-plugins-opus
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f43594ced074b2175400f0b773e8a4d2fa4ed7cb3e16633127072a8ab929a1f9
compressiontype: zstd
files:
- usr/lib64/gstreamer-1.0/libgstopus.so
- usr/lib64/gstreamer-1.0/libgstopusparse.so
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/BDEPEND
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/BUILD_TIME
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/CATEGORY
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/CBUILD
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/CFLAGS
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/CHOST
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/CONTENTS
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/COUNTER
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/CXXFLAGS
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/DEFINED_PHASES
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/DEPEND
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/DESCRIPTION
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/EAPI
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/FEATURES
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/HOMEPAGE
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/INHERITED
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/IUSE
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/IUSE_EFFECTIVE
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/KEYWORDS
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/LDFLAGS
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/LICENSE
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/NEEDED
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/PF
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/PROVIDES
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/RDEPEND
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/REQUIRES
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/RESTRICT
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/SIZE
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/SLOT
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/USE
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/environment.bz2
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/gst-plugins-opus-1.18.4-r2.ebuild
- var/db/pkg/media-plugins/gst-plugins-opus-1.18.4-r2/repository
package_cacheimage: ""
runtime:
  name: gst-plugins-opus
  version: 1.18.4
  category: media-plugins-1.0
  use_flags:
  - -test
  - prefix
  requires:
  - name: glib
    version: '>=0'
    category: dev-libs-2
  - name: gst-plugins-base
    version: '>=0'
    category: media-libs-1.0
  - name: opus
    version: '>=0'
    category: media-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Opus audio parser plugin for GStreamer
  uri:
  - https://gstreamer.freedesktop.org/
  license: GPL-2
  labels:
    BDEPEND: '>=dev-util/meson-0.48.2 >=dev-util/ninja-1.7.2 test? ( !prefix? ( x11-base/xorg-server[xvfb]
      ) x11-apps/xhost ) >=sys-apps/sed-4 virtual/pkgconfig virtual/perl-JSON-PP'
    DEPEND: '>=media-libs/opus-1.1:=[-mgorny(-)] >=dev-libs/glib-2.40.0:2[-mgorny(-)]
      >=media-libs/gstreamer-1.18:1.0[-mgorny(-)] >=media-libs/gst-plugins-base-1.18.4:1.0[-mgorny(-)]'
    IUSE: test abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: '>=media-libs/opus-1.1:=[-mgorny(-)] !media-plugins/gst-plugins-opusparse
      >=media-libs/gst-plugins-base-1.18.4:1.0[-mgorny(-),ogg] >=dev-libs/glib-2.40.0:2[-mgorny(-)]
      >=media-libs/gstreamer-1.18:1.0[-mgorny(-)] >=media-libs/gst-plugins-base-1.18.4:1.0[-mgorny(-)]'
    emerge.packages: media-plugins/gst-plugins-opus:1.0
    kit: media-kit
    original.package.name: media-plugins/gst-plugins-opus
    original.package.slot: "1.0"
    original.package.version: 1.18.4-r2
